import React from "react";
import { observer } from "mobx-react";
import "./AssistCountPanel.less";
import { Button } from "@src/components/Button";
import modalStore from "@src/store/modal";
import store from "@src/store";

@observer
class AssistCountPanel extends React.Component {

  componentDidMount = async () => {

  };

  /** 关闭 */
  clickClose = () => {
    modalStore.closePop();
  };

  clickOk = () => {
    modalStore.closePop();
  }

  render() {
    return <div className="AssistCountPanel modal_center">
      <div className="bg"/>
      <div className="txt">一共有{store.setIndex.newAssistUser}位好友助力</div>
      <Button className="btn md12" onClick={this.clickOk} />
      <Button className="close" onClick={this.clickClose} />
    </div>;
  }
}

export default AssistCountPanel;
